<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestMessage\GalaxyFlowAction;

use UnexpectedValueException;




class GalaxyFlowActionType
{
    


    const GALAXY_FLOW_ACTION_TYPE_UNSPECIFIED = 0;
    


    const NOTIFY_LAUNCH = 1;

    private static $valueToName = [
        self::GALAXY_FLOW_ACTION_TYPE_UNSPECIFIED => 'GALAXY_FLOW_ACTION_TYPE_UNSPECIFIED',
        self::NOTIFY_LAUNCH => 'NOTIFY_LAUNCH',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

